[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] Fix compilation error with older versions of gcc

From: Matthew Leach
Subject: [PATCH] Fix compilation error with older versions of gcc
Date: Mon, 19 Nov 2012 15:02:52 +0000

Some versions of gcc will error if you define a type twice (even if
the definition is the same). The ncr53c8xx scsi driver defines
'vm_offset_t', this is also defined in mach_types.h and will therefore
cause a compilation error depending on the gcc version.

* linux/src/drivers/scsi/ncr53c8xx.c: exclude the typedef's if we are
  executing a mach build.
 linux/src/drivers/scsi/ncr53c8xx.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/linux/src/drivers/scsi/ncr53c8xx.c 
index 22aec32..0a58429 100644
--- a/linux/src/drivers/scsi/ncr53c8xx.c
+++ b/linux/src/drivers/scsi/ncr53c8xx.c
@@ -272,8 +272,10 @@ typedef u32 u_int32;
 #define u_int          unsigned int
 #define u_long         unsigned long
+#ifndef MACH
 typedef        u_long          vm_offset_t;
-//typedef      int             vm_size_t;
+typedef        int             vm_size_t;
 #define bcopy(s, d, n) memcpy((d), (s), (n))
 #define bzero(d, n)    memset((d), 0, (n))

reply via email to

[Prev in Thread] Current Thread [Next in Thread]